SFML 3.0.2
Loading...
Searching...
No Matches
Classes | Namespaces | Functions
IpAddress.hpp File Reference
`#include <SFML/Network/Export.hpp>`
`#include <SFML/System/Time.hpp>`
`#include <iosfwd>`
`#include <optional>`
`#include <string>`
`#include <string_view>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

class | sf::IpAddress
| Encapsulate an IPv4 network address. More...

## Namespaces

namespace | sf

## Functions

bool | sf::operator== (IpAddress left, IpAddress right)
| Overload of operator== to compare two IP addresses.
bool | sf::operator!= (IpAddress left, IpAddress right)
| Overload of operator!= to compare two IP addresses.
bool | sf::operator< (IpAddress left, IpAddress right)
| Overload of operator< to compare two IP addresses.
bool | sf::operator> (IpAddress left, IpAddress right)
| Overload of operator> to compare two IP addresses.
bool | sf::operator<= (IpAddress left, IpAddress right)
| Overload of operator<= to compare two IP addresses.
bool | sf::operator>= (IpAddress left, IpAddress right)
| Overload of operator>= to compare two IP addresses.
std::istream & | sf::operator>> (std::istream &stream, std::optional< IpAddress > &address)
| Overload of operator>> to extract an IP address from an input stream.
std::ostream & | sf::operator<< (std::ostream &stream, IpAddress address)
| Overload of operator<< to print an IP address to an output stream.